﻿namespace Hermes.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class V2 : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Preferences", "civiliteViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "nomViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "nomNaissanceViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "prenomViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "ageViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "professionViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "typeResidenceViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "mailViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "telViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "telPortViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "quartierViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseBatimentViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseNumeroBatimentViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseExtViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseExtCPViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "adresseExtVilleViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "dateCreationViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "dateModificationViewEnabled", c => c.Boolean(nullable: false));
            AddColumn("dbo.Preferences", "windowHeight", c => c.Int(nullable: false));
            AddColumn("dbo.Preferences", "windowWidth", c => c.Int(nullable: false));
            AddColumn("dbo.Preferences", "windowMaximized", c => c.Boolean(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.Preferences", "windowMaximized");
            DropColumn("dbo.Preferences", "windowWidth");
            DropColumn("dbo.Preferences", "windowHeight");
            DropColumn("dbo.Preferences", "dateModificationViewEnabled");
            DropColumn("dbo.Preferences", "dateCreationViewEnabled");
            DropColumn("dbo.Preferences", "adresseExtVilleViewEnabled");
            DropColumn("dbo.Preferences", "adresseExtCPViewEnabled");
            DropColumn("dbo.Preferences", "adresseExtViewEnabled");
            DropColumn("dbo.Preferences", "adresseNumeroBatimentViewEnabled");
            DropColumn("dbo.Preferences", "adresseBatimentViewEnabled");
            DropColumn("dbo.Preferences", "adresseViewEnabled");
            DropColumn("dbo.Preferences", "quartierViewEnabled");
            DropColumn("dbo.Preferences", "telPortViewEnabled");
            DropColumn("dbo.Preferences", "telViewEnabled");
            DropColumn("dbo.Preferences", "mailViewEnabled");
            DropColumn("dbo.Preferences", "typeResidenceViewEnabled");
            DropColumn("dbo.Preferences", "professionViewEnabled");
            DropColumn("dbo.Preferences", "ageViewEnabled");
            DropColumn("dbo.Preferences", "prenomViewEnabled");
            DropColumn("dbo.Preferences", "nomNaissanceViewEnabled");
            DropColumn("dbo.Preferences", "nomViewEnabled");
            DropColumn("dbo.Preferences", "civiliteViewEnabled");
        }
    }
}
